Page MenuHomePhabricator

Prevent people from creating new LQT pages on wikis that have converted LQT to Flow
Closed, ResolvedPublic

Description

We're almost done with converting mediawiki.org's LQT pages to Flow. We still need a shell of LQT to keep the history running, but we need a way to stop people from creating new LQT pages with the magic word.

Event Timeline

DannyH created this task.Jul 27 2015, 6:52 PM
DannyH updated the task description. (Show Details)
DannyH raised the priority of this task from to Normal.
DannyH moved this task to Team discussion on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2015, 6:52 PM
'wmgLiquidThreadsBackfill' => array(
	// Preserve access to LQT namespaces after removing the extension
	'default' => false,
	'officewiki' => true, // replaced with Flow 2014-11-25
),

Will that work in this case?

We talked about this in one of the meetings, and decided to use standard LiquidThreads for now, but with no LQT pages or the possibility to create them. The old wmgLiquidThreadsBackfill would have worked to stop creation (since it disables LQT entirely), but didn't handle logs.

Change 228192 had a related patch set uploaded (by Mattflaschen):
Convert wmgLiquidThreadsBackfill to wmgLiquidThreadsFrozen

https://gerrit.wikimedia.org/r/228192

Catrope added a subscriber: Catrope.

Patch looks good to me. Shall we schedule this for deployment some time next week?

Patch looks good to me. Shall we schedule this for deployment some time next week?

Yeah, but I have no idea how long Project:Support_desk will take to finish converting, so let's just schedule it when that's done.

DannyH raised the priority of this task from Normal to High.Aug 11 2015, 5:22 PM

Change 228192 merged by jenkins-bot:
Convert wmgLiquidThreadsBackfill to wmgLiquidThreadsFrozen

https://gerrit.wikimedia.org/r/228192

Checked in mediawiki.

DannyH closed this task as Resolved.Aug 20 2015, 7:18 PM